---
title: "Get peer groups"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/peer-groups`

## Path parameters

- `id` (`entity-get-peer-groups.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/peer-groups'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/peer-groups';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/peer-groups"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "entity": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "entityType": "string"
  },
  "similarCompanies": [
    {
      "id": "string",
      "name": "string",
      "entityType": "string",
      "website": "string",
      "score": 0,
      "sharedSectorCount": 0,
      "sharedInvestorCount": 0
    }
  ],
  "peerGroups": [],
  "suggestedGroups": [],
  "analytics": null,
  "source": "graph",
  "message": "string"
}
```

- `entity` (`entity-get-peer-groups.response.200.entity`; object, required)
  - `id` (`entity-get-peer-groups.response.200.entity.id`; string, required)
    - format `uuid`
  - `name` (`entity-get-peer-groups.response.200.entity.name`; string, required)
  - `entityType` (`entity-get-peer-groups.response.200.entity.entityType`; string, required)
- `similarCompanies` (`entity-get-peer-groups.response.200.similarCompanies`; array<object>, required)
  - `id` (`entity-get-peer-groups.response.200.similarCompanies.id`; string, required)
  - `name` (`entity-get-peer-groups.response.200.similarCompanies.name`; string, required)
  - `entityType` (`entity-get-peer-groups.response.200.similarCompanies.entityType`; string, required, nullable)
  - `website` (`entity-get-peer-groups.response.200.similarCompanies.website`; string, required, nullable)
  - `score` (`entity-get-peer-groups.response.200.similarCompanies.score`; number, required)
  - `sharedSectorCount` (`entity-get-peer-groups.response.200.similarCompanies.sharedSectorCount`; number, required)
  - `sharedInvestorCount` (`entity-get-peer-groups.response.200.similarCompanies.sharedInvestorCount`; number, required)
- `peerGroups` (`entity-get-peer-groups.response.200.peerGroups`; array<unknown>, required)
- `suggestedGroups` (`entity-get-peer-groups.response.200.suggestedGroups`; array<unknown>, required)
- `source` (`entity-get-peer-groups.response.200.source`; string, required)
  - one of `"graph"`, `"placeholder"`
- `message` (`entity-get-peer-groups.response.200.message`; string, required)
- `analytics` (`entity-get-peer-groups.response.200.analytics`; unknown, optional, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.400.error`; object, required)
  - `code` (`entity-get-peer-groups.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.401.error`; object, required)
  - `code` (`entity-get-peer-groups.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.403.error`; object, required)
  - `code` (`entity-get-peer-groups.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.404.error`; object, required)
  - `code` (`entity-get-peer-groups.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.409.error`; object, required)
  - `code` (`entity-get-peer-groups.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.422.error`; object, required)
  - `code` (`entity-get-peer-groups.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.429.error`; object, required)
  - `code` (`entity-get-peer-groups.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.500.error`; object, required)
  - `code` (`entity-get-peer-groups.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-peer-groups.response.503.error`; object, required)
  - `code` (`entity-get-peer-groups.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-peer-groups.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-peer-groups.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-peer-groups.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-get-peer-groups/index.md
